%define upstream_name    Hash-AutoHash-Args
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Object-oriented processing of argument lists (version 0)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(Hash::AutoHash) >= 1.160.0
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Scalar::Util) >= 1.10.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Content)
BuildRequires: perl(Tie::Hash) >= 1.0.0
BuildArch:  noarch

%description
This class simplifies the handling of keyword argument lists. It replaces
the Class::AutoClass::Args manpage. See the DIFFERENCES FROM
Class::AutoClass::Args manpage for a discussion of what's new. See the
Hash::AutoHash::Args::V0 manpage for a subclass which is more compatible

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.180.0-9.mga9
+ Revision: 1803923
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.180.0-8.mga8
+ Revision: 1494849
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.180.0-7.mga7
+ Revision: 1268444
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.180.0-6.mga6
+ Revision: 1028193
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.180.0-5.mga6
+ Revision: 946542
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 740837
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-3.mga5
+ Revision: 685022
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 539481
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 1.180.0-1.mga4
+ Revision: 492184
- update to 1.18

* Fri Jun 07 2013 jquelin <jquelin> 1.170.0-1.mga4
+ Revision: 439400
- update to 1.17

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 368339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 342219
- update to 1.16

* Fri Sep 28 2012 jquelin <jquelin> 1.150.0-2.mga3
+ Revision: 298968
- force update with real 1.15 version
- use versioned %%setup

* Wed Sep 26 2012 jquelin <jquelin> 1.150.0-1.mga3
+ Revision: 298006
- update to 1.15
- update to 1.14-1 (i know, dumbest version scheme ever - sigh)

* Sun Jan 23 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 33849
- mageia rebuild
- imported package perl-Hash-AutoHash-Args

